aestab.h File Reference

Go to the source code of this file.

## Macros

#define | t_dec(m, n) t_##m##n
#define | t_set(m, n) t_##m##n
#define | t_use(m, n) t_##m##n
#define | CONST
#define | EXTERN extern
#define | ALIGN
#define | XP_DIR
#define | d_1(t, n, b, e) EXTERN ALIGN CONST XP_DIR t n[256]
#define | d_4(t, n, b, e, f, g, h) EXTERN ALIGN CONST XP_DIR t n[4][256]

## Functions

EXTERN ALIGN CONST uint32_t | t_dec (r, c)[RC_LENGTH]

## Macro Definition Documentation

## ALIGN

#define ALIGN

## CONST

#define CONST

## d_1

#define d_1 | ( |  | t,
|  |  | n,
|  |  | b,
|  |  | e
| ) |  | EXTERN ALIGN CONST XP_DIR t n[256]

## d_4

#define d_4 | ( |  | t,
|  |  | n,
|  |  | b,
|  |  | e,
|  |  | f,
|  |  | g,
|  |  | h
| ) |  | EXTERN ALIGN CONST XP_DIR t n[4][256]

## EXTERN

#define EXTERN extern

## t_dec

#define t_dec | ( |  | m,
|  |  | n
| ) |  | t_##m##n

## t_set

#define t_set | ( |  | m,
|  |  | n
| ) |  | t_##m##n

## t_use

#define t_use | ( |  | m,
|  |  | n
| ) |  | t_##m##n

## XP_DIR

#define XP_DIR

## Function Documentation

## t_dec()

EXTERN ALIGN CONST uint32_t t_dec | ( | r | ,
|  | c |
| ) |  |